From cfd3a0f8b0d4223dbd3181ecaaee6111165a9e94 Mon Sep 17 00:00:00 2001
From: Laurent Montel <montel@kde.org>
Date: Thu, 5 Aug 2021 21:01:30 +0200
Subject: [PATCH] Port to QtQuickDialogWrapper

---
 CMakeLists.txt    |  2 +-
 gui/Workspace.cpp | 13 +++++--------
 2 files changed, 6 insertions(+), 9 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 23069e76..dcb92975 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -7,7 +7,7 @@ set(KSYSGUARD_VERSION 4.98.0)
 set(KSYSGUARD_STRING_VERSION "${KSYSGUARD_VERSION}")
 
 set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.78")
+set(KF5_MIN_VERSION "5.80")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
diff --git a/gui/Workspace.cpp b/gui/Workspace.cpp
index 827d63e1..bdd03743 100644
--- a/gui/Workspace.cpp
+++ b/gui/Workspace.cpp
@@ -29,8 +29,8 @@
 #include <KMessageBox>
 #include <KAcceleratorManager>
 #include <KActionCollection>
-#include <KNewStuff3/KNS3/DownloadDialog>
 #include <KNewStuff3/KNSCore/Engine>
+#include <KNS3/QtQuickDialogWrapper>
 #include <KConfigGroup>
 
 #include "WorkSheet.h"
@@ -307,14 +307,11 @@ void Workspace::uploadHotNewWorksheet()
 }
 void Workspace::getHotNewWorksheet()
 {
-    KNS3::DownloadDialog dialog(QStringLiteral("ksysguard.knsrc"));
-    if( dialog.exec() == QDialog::Rejected )
-        return;
-
-    KNS3::Entry::List entries = dialog.installedEntries();
-    foreach(KNS3::Entry entry, entries) {
+    KNS3::QtQuickDialogWrapper dialog(QStringLiteral("ksysguard.knsrc") );
+    const QList<KNSCore::EntryInternal> entries = dialog.exec();
+    for (auto entry : entries) {
         if(!entry.installedFiles().isEmpty()) {
-            QString filename = entry.installedFiles().first();
+            const QString filename = entry.installedFiles().constFirst();
             restoreWorkSheet(filename, true);
         }
     }
-- 
GitLab

